#!/bin/sh
# from src/main/cpp/
#   
if [[ -z $1 ]]; then
  echo "ERROR: missing parameter: branch to checkout required"
  echo
  echo "Known working branches:"
  echo "  v3.10.0-stable"
  echo
  exit
fi

CD=`pwd`
cd src/main/cpp/wolfssl-oem
git clone https://github.com/wolfSSL/wolfssl.git wolfssl-git
cd wolfssl-git
git checkout $1
git checkout -b building
cd $CD

